function move(direction)
  if direction == 0 then
    snake.y = snake.y - 50
  elseif direction == 1 then
    snake.x = snake.x - 50
  elseif direction == 2 then
    snake.y = snake.y + 50
  elseif direction == 3 then
    snake.x = snake.x + 50
  end
  
  for i,t in pairs(snake.snake_tail) do
    if i == 1 then
      if snake.prev_direction == 0 then
        t.y = t.y - 50
      elseif snake.prev_direction == 1 then
        t.x = t.x - 50
      elseif snake.prev_direction == 2 then
        t.y = t.y + 50
      elseif snake.prev_direction == 3 then
        t.x = t.x + 50
      end
      t.prev_direction = t.direction
      t.direction = snake.prev_direction
    else
      if snake.snake_tail[i-1].prev_direction == 0 then
        t.y = t.y - 50
      elseif snake.snake_tail[i-1].prev_direction == 1 then
        t.x = t.x - 50
      elseif snake.snake_tail[i-1].prev_direction == 2 then
        t.y = t.y + 50
      elseif snake.snake_tail[i-1].prev_direction == 3 then
        t.x = t.x + 50
      end
      t.prev_direction = t.direction
      t.direction = snake.snake_tail[i-1].prev_direction
    end
  end
  
  snake.prev_direction = snake.direction
  snake.pressed = false
end

function eatApple()
  local snakeBlock = {}
  if #snake.snake_tail > 0 then
    if snake.snake_tail[#snake.snake_tail].direction == 0 then
      snakeBlock.x,snakeBlock.y = snake.snake_tail[#snake.snake_tail].x,snake.snake_tail[#snake.snake_tail].y+50
    elseif snake.snake_tail[#snake.snake_tail].direction == 1 then
      snakeBlock.x,snakeBlock.y = snake.snake_tail[#snake.snake_tail].x+50,snake.snake_tail[#snake.snake_tail].y
    elseif snake.snake_tail[#snake.snake_tail].direction == 2 then
      snakeBlock.x,snakeBlock.y = snake.snake_tail[#snake.snake_tail].x,snake.snake_tail[#snake.snake_tail].y-50
    elseif snake.snake_tail[#snake.snake_tail].direction == 3 then
      snakeBlock.x,snakeBlock.y = snake.snake_tail[#snake.snake_tail].x-50,snake.snake_tail[#snake.snake_tail].y
    end
    snakeBlock.direction = snake.snake_tail[#snake.snake_tail].prev_direction
    snakeBlock.prev_direction = snakeBlock.direction
  else
    if snake.direction == 0 then
      snakeBlock.x,snakeBlock.y = snake.x,snake.y+50
    elseif snake.direction == 1 then
      snakeBlock.x,snakeBlock.y = snake.x+50,snake.y
    elseif snake.direction == 2 then
      snakeBlock.x,snakeBlock.y = snake.x,snake.y-50
    elseif snake.direction == 3 then
      snakeBlock.x,snakeBlock.y = snake.x-50,snake.y
    end
    snakeBlock.direction = snake.prev_direction
    snakeBlock.prev_direction = snakeBlock.direction
  end
  if #snake.snake_tail > snake.default_length - 2 then
    snake.length = snake.length + 1
  end
  table.insert(snake.snake_tail,snakeBlock)
end

function spawnApple()
  if #apple ~= 0 then
    local prev_x,prev_y = apple[1].x,apple[1].y
    table.remove(apple,1)
  end
  local local_apple = {}
  local ok = true
  repeat
    ok = true
    local_apple.x,local_apple.y = 0,0
    for i=0,love.math.random(0,11) do
      local_apple.x = local_apple.x + 50
    end
    for i=0,love.math.random(0,11) do
      local_apple.y = local_apple.y + 50
    end
    if local_apple.x == prev_x and local_apple.y == prev_y then
      ok = false
    end
    for _,t in pairs(snake.snake_tail) do
      if t.x == local_apple.x and t.y == local_apple.y then
        ok = false
      end
    end
  until ok
  table.insert(apple,local_apple)
end