function love.load()
  -- basic set-up --
  love.window.setTitle("Snake")
  love.mouse.setVisible(false)
  love.graphics.setFont(love.graphics.newFont("assets/8bit.ttf",48))
  love.graphics.setDefaultFilter("nearest","nearest")
  ------------------
  
  -- snake --
  snake = {}
  snake.x,snake.y = 300,300
  snake.length = 3
  snake.default_length = snake.length
  snake.direction = love.math.random(0,3)
  snake.prev_direction = snake.direction
  snake.pressed = false
  -----------
  
  -- snake tail --
  snake.snake_tail = {}
  ----------------
  
  -- apples --
  apple = {}
  ------------
  
  -- update --
  tick = 15
  default_tick = tick
  ------------
  
  -- game over --
  game_over = false
  death_reason = ""
  ---------------
  
  -- get scripts --
  scrPath = "assets.scripts."
  require(scrPath.."quit")
  require(scrPath.."functions")
  require(scrPath.."load")
  require(scrPath.."keys")
  require(scrPath.."update")
  require(scrPath.."draw")
  -----------------
end