function love.draw()
  -- snake --
  love.graphics.setColor(0,1,0)
  love.graphics.rectangle("fill",snake.x+5,snake.y+5,45,45)
  -----------
  
  -- snake tail --
  love.graphics.setColor(0,1,0)
  for _,t in pairs(snake.snake_tail) do
    love.graphics.rectangle("fill",t.x+5,t.y+5,45,45)
  end
  ----------------
  
  -- apples --
  love.graphics.setColor(1,0,0)
  for _,a in pairs(apple) do
    love.graphics.rectangle("fill",a.x+5,a.y+5,45,45)
  end
  ------------
  
  -- game over --
  if game_over then
    love.graphics.setColor(0,0,0)
    love.graphics.printf("Game over!",0,175,650,"center")
    love.graphics.printf("You "..death_reason..".",0,275,650,"center")
    if snake.length - snake.default_length == 1 then
      love.graphics.printf("Your score was "..snake.length-snake.default_length.." point.",0,375,650,"center")
    else
      love.graphics.printf("Your score was "..snake.length-snake.default_length.." points.",0,375,650,"center")
    end
    love.graphics.printf("Press SPACEBAR to reset.",0,475,650,"center")
    love.graphics.setColor(1,1,1)
    love.graphics.printf("Game over!",1,176,650,"center")
    love.graphics.printf("You "..death_reason..".",1,276,650,"center")
    if snake.length - snake.default_length == 1 then
      love.graphics.printf("Your score was "..snake.length-snake.default_length.." point.",1,376,650,"center")
    else
      love.graphics.printf("Your score was "..snake.length-snake.default_length.." points.",1,376,650,"center")
    end
    love.graphics.printf("Press SPACEBAR to reset.",1,476,650,"center")
  end
  ---------------
end